window.Gleam.initSearch([{"doc":"binary_search","title":"binary_search","content":"# binary_search\n\n[![Package Version](https://img.shields.io/hexpm/v/binary_search)](https://hex.pm/packages/binary_search)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/binary_search/)\n\n&gt; Recursive Binary Search in Gleam, implementation with O(log N) complexity.\n\n```sh\ngleam add binary_search\n```\n```gleam\nimport binary_search\n\npub fn main() {\n  binary_search.perform([1, 2, 6, 8, 10], 6) // =&gt; 2\n  binary_search.perform([1, 2, 3, 4, 5], 1) // =&gt; 0\n  binary_search.perform([], 6) // =&gt; -1 # indicating not found.\n  binary_search.perform([1, 2, 6, 8, 10], 7) // =&gt; -1\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/binary_search&gt;.\n\n## Development\n\n```sh\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"binary_search","title":"perform","content":"pub fn perform(\n  list_of_sorted_numbers: List(Int),\n  value_to_search: Int,\n) -&gt; Int\n Perform a binary search on a list of sorted numbers(Int).\n Returns the index of the value in the list if it is found, otherwise -1, indicating not found..\n\n ## Example\n\n \n &gt; binary_search.perform([1, 2, 3, 4, 5], 3) # returns 2\n \nSynonyms:\nbinary_search.perform\nbinary_search perform","url":"binary_search.html#perform"},{"doc":"binary_search","title":"binary_search","content":"","url":"binary_search.html"}]);